Bug 200938 - Select position of generated getters and setters in generator
Select position of generated getters and setters in generator
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Editor
7.0.1
All All
: P3 with 1 vote (vote)
: 7.2
Assigned To: Dusan Balek
issues@java
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-14 09:57 UTC by chris_m
Modified: 2012-02-22 11:03 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description chris_m 2011-08-14 09:57:32 UTC
While generating getters and setters the position of the generated getters and setters are determined by the position of the text cursor. 
While that is perfectly acceptable most of the time, it's a bit anoying when you have a long way down for the position you want to place the getter/setter for the property/field you've just added.

Now what I propose is something closer to how Eclipse does it in that you can select where to place the getter/setter. Like this:

- Current position
- After/Before <list other getters/setters>
- At the bottom

The default behaviour would be kept the same, but one has more options. 
There might be shortcuts I'm not aware of that one can use to facilitate the same behaviour in a manner of speaking.

Sorry if this is posted under the wrong category and/or other meta data is wrong. :-)
Comment 1 Dusan Balek 2012-02-21 12:55:41 UTC
Fixed in jet-main.

http://hg.netbeans.org/jet-main/rev/94b56d860bca
http://hg.netbeans.org/jet-main/rev/59f4db16d3e7

Order of the generated class members should be customizable via a new panel added to 'Tools -> Options -> Editor -> Formatting -> Java'.
Comment 2 Quality Engineering 2012-02-22 11:03:42 UTC
Integrated into 'main-golden', will be available in build *201202220400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/59f4db16d3e7
User: Dusan Balek <dbalek@netbeans.org>
Log: Issues #200938, #201601: Customizable order of generated class members - fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo